STUND(8)

NAME

stund - STUN protocol (Simple Traversal of UDP through NATs) Server

SYNTAX

stund [-v] [-h IP Address] [-a Secondary IP Address ] [-p port ] [-o port ] [-b ] [-m ]

STUN servers needs two IP addresses and two ports

DESCRIPTION

STUN Servers are used to help clients behind NAT to tunnel incoming calls through. This server is the counterpart to help the client identify the NAT and have it open the proper ports for it

OPTIONS

-v  Verbose output.

-h <IP Address>
    Define the Main IP Address.

-a <IP Address>
    Define the Second IP Address.

-p <Port>
    Set the primary port the default port value is 3478

-o <Port>
    Set the secondary port the default port value is 3479 -b Detach the process and makes the program run at the background

-m <Port>
    Sets a starting port for the STERM server

--help
    Prints useful help

EXAMPLES

If the IP addresses of your NIC are 10.0.1.150 and 10.0.1.151 the proper and default use would be:

stund -h 10.0.1.150 -a 10.0.1.151

add -b option to detach the process

stund -h 10.0.1.150 -a 10.0.1.151 -b

AUTHORS

This manual page was written by Rene Mayorga <rmayorga@debian.org.sv> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation. On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

SEE ALSO

stun(1)